My Oracle Support Banner

Deprecation of V7 OCI APIs (Doc ID 1503049.1)

Last updated on JANUARY 06, 2020

Applies to:

Oracle Database - Enterprise Edition - Version 12.1.0.1 and later
Oracle Database Cloud Schema Service - Version N/A and later
Oracle Database Exadata Express Cloud Service - Version N/A and later
Oracle Database Exadata Cloud Machine - Version N/A and later
Oracle Cloud Infrastructure - Database Service - Version N/A and later
Information in this document applies to any platform.

Purpose

Obsolescence/Desupport Information


The V8 OCI APIs brings an entirely new set of functions, improved performance and increased functionality. These APIs have been available for years and Oracle strongly recommends customers migrate/rewrite their existing applications to use the V8 OCI. New applications must directly use the new V8 OCI APIs.

Details

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Purpose
Details
  

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.